{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidCaisses }}</div>
{% endblock %}

{% block formulaire %}
<div class="LesChamps card">
    {# Génération du label. #}
    <div class=" d-flex justify-content-around flex-wrap">
        {% if poForm.cnom is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                
                {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': 'control-label m-0 mr-3' }}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center ">
                    {{ form_widget(poForm.cnom, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %} 
        
        {# Génération du label. #}
        {% if poForm.itype is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.itype, "Type ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.itype, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
        
    </div>
    
    <div class="d-flex justify-content-around flex-wrap">
        {# Génération du label. #}
        {% if poForm.cadresse1 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.cadresse1, "Adresse 1 ", {'label_attr': {'class':' control-label m-0 mr-3'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.cadresse1, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
        
        {# Génération du label. #}
        {% if poForm.cadresse2 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.cadresse2, "Adresse 2 ", {'label_attr': {'class': ' control-label m-0 mr-3'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.cadresse2, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}

       
    </div>
    <div class="d-flex justify-content-around flex-wrap">
        
         {# Génération du label. #}
        {% if poForm.ccp is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.ccp, "CP ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.ccp, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %} 
        
        
        {# Génération du label. #}
        {% if poForm.cville is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.cville, "Ville ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center2">
                    {{ form_widget(poForm.cville, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
        
    </div>
</div>
<div class="LesChamps">
    <div class="d-flex justify-content-around flex-wrap">
        {# Génération du label. #}
        {% if poForm.ctel is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.ctel, "Téléphone ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.ctel, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}            
                </div>
            </div>
        {% endif %}

        {# Génération du label. #}
        {% if poForm.cemail is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {{ form_label(poForm.cemail, "Courriel ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.cemail, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    </div>
    <div class="d-flex justify-content-around flex-wrap">
    {# Génération du label. #}
    {% if poForm.cfax is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {{ form_label(poForm.cfax, "Fax ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-8 d-flex justify-content-center align-items-center">
                {{ form_widget(poForm.cfax, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }} 
            </div>
        </div>
    {% endif %}

    {# Génération du label. #}
    {% if poForm.cweb is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {{ form_label(poForm.cweb, "Site web ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class = "col-sm-8 d-flex justify-content-center align-items-center" >
                {{ form_widget(poForm.cweb, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
    {% endif %}
    </div>
</div>
{% endblock %}
